var compileLessString = require('../../../../lib/compile/compile_less_string');

exports['Compile less string'] = function (test) {
    compileLessString('@a:#abc;body{color:@a};', function (err, compiled) {
        test.ifError(err);
        test.ok(compiled);
        test.done();
    });
};
exports['Create msg from a err'] = function (test) {
    var msg = compileLessString._errMsgString({ type: 'Parse',
        message: 'Unrecognised input',
        filename: '/Users/okuni/WebstormProjects/apeman/sites/apeman.info/static/src/less/theme/btn-themes.less',
        index: 715,
        line: 33,
        callLine: NaN,
        callExtract: undefined,
        column: 4,
        extract: [ '    //',
            '    <button class="btn-theme-a {$modifiers}">Button button</button>',
            '    // <input type=\'submit\' class="btn-theme-a {$modifiers}" value="Submit button"/>' ] });
    test.ok(msg);
    test.done();
};